#1273 closed defect (fixed)

[libfs, dosfs] readdir confused by long filenames

Reported by: strauman Owned by: Chris Johns
Priority: normal Milestone: 4.9
Component: score Version: 4.7
Severity: normal Keywords:
Cc: chrisj@…, gene.smith@… Blocked By:
Blocking:

Description

The dos filesystem currently has no support for
long filenames. Therefore it should ignore
the special directory table entries where
LFNs are stored. Currently, these entries appear
as scrambled bogus directory entries.

Eventually, proper support for LFNs should be
implemented ...

Attachments (1)

msdosfs-ignore-lfn.diff (1.3 KB) - added by strauman on Jan 6, 2008 at 6:24:28 AM.
patch to let dosfs ignore LFN directory entries

Download all attachments as: .zip

Change History (5)

Changed on Jan 6, 2008 at 6:24:28 AM by strauman

Attachment: msdosfs-ignore-lfn.diff added

patch to let dosfs ignore LFN directory entries

comment:1 Changed on Aug 6, 2008 at 3:40:04 AM by Chris Johns

Cc: Chris Johns added
Owner: changed from Joel Sherrill to Chris Johns

comment:2 Changed on Aug 6, 2008 at 3:40:12 AM by Chris Johns

Status: newassigned

comment:3 Changed on Jan 14, 2009 at 2:50:35 PM by Gene Smith

Cc: Gene Smith added

comment:4 Changed on May 1, 2009 at 9:44:39 PM by Chris Johns

Resolution: fixed
Status: assignedclosed

LFN as been added,

Note: See TracTickets for help on using tickets.